### Hierarchy

- XmlComponent
  - Body

## Index

### Constructors

- constructor

### Properties

- deleted
- root
- rootKey

### Accessors

- DefaultSection
- isDeleted

### Methods

- addChildElement
- addSection
- delete
- prepForXml
- push

## Constructors

### constructor

- new Body(sectionPropertiesOptions?: SectionPropertiesOptions): Body

- Overrides XmlComponent.constructor

  - Defined in file/document/body/body.ts:8

  #### Parameters

  - ##### Optional sectionPropertiesOptions: SectionPropertiesOptions

  #### Returns Body

## Properties

### Protected deleted

deleted: boolean = false

Inherited from BaseXmlComponent.deleted

- Defined in file/xml-components/base.ts:5

### Protected root

root: Array<BaseXmlComponent | string>

Inherited from XmlComponent.root

- Defined in file/xml-components/xml-component.ts:6

### Protected rootKey

rootKey: string

Inherited from BaseXmlComponent.rootKey

- Defined in file/xml-components/base.ts:4

## Accessors

### DefaultSection

- get DefaultSection(): SectionProperties

- - Defined in file/document/body/body.ts:52

  #### Returns SectionProperties

### isDeleted

- get isDeleted(): boolean

- Inherited from BaseXmlComponent.isDeleted

  - Defined in file/xml-components/base.ts:13

  #### Returns boolean

## Methods

### addChildElement

- addChildElement(child: XmlComponent | string): XmlComponent

- Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:34

  #### Parameters

  - ##### child: XmlComponent | string

  #### Returns XmlComponent

### addSection

- addSection(section: SectionPropertiesOptions | SectionProperties): void

- - Defined in file/document/body/body.ts:25

  Adds new section properties. Note: Previous section is created in paragraph after the current element, and then new section will be added. The spec says:

  - section element should be in the last paragraph of the section
  - last section should be direct child of body

  #### Parameters

  - ##### section: SectionPropertiesOptions | SectionProperties

    new section

  #### Returns void

### delete

- delete(): void

- Inherited from XmlComponent.delete

  - Defined in file/xml-components/xml-component.ts:40

  #### Returns void

### prepForXml

- prepForXml(): IXmlableObject

- Overrides XmlComponent.prepForXml

  - Defined in file/document/body/body.ts:38

  #### Returns IXmlableObject

### push

- push(component: XmlComponent): void

- - Defined in file/document/body/body.ts:48

  #### Parameters

  - ##### component: XmlComponent

  #### Returns void

Generated using TypeDoc